Declared + curated contributor locations for a single purl
curl --request GET \
--url https://api.scanoss.com/v3/geoprovenance/countriesimport requests
url = "https://api.scanoss.com/v3/geoprovenance/countries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scanoss.com/v3/geoprovenance/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scanoss.com/v3/geoprovenance/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scanoss.com/v3/geoprovenance/countries"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scanoss.com/v3/geoprovenance/countries")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scanoss.com/v3/geoprovenance/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"components_locations": [
{
"purl": "<string>",
"declared_locations": [
{
"type": "<string>",
"location": "<string>"
}
],
"curated_locations": [
{
"country": "<string>",
"count": 123
}
],
"info_code": "<string>",
"info_message": "<string>"
}
],
"status": {
"status": "SUCCESS",
"message": "<string>"
}
}{
"status": "error",
"error": {
"code": "INVALID_QUERY",
"message": "purl query parameter is required"
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "INTERNAL_ERROR",
"message": "..."
},
"timestamp": "2026-05-19T11:39:56Z"
}geoprovenance
Declared + curated contributor locations for a single purl
GET
/
v3
/
geoprovenance
/
countries
Declared + curated contributor locations for a single purl
curl --request GET \
--url https://api.scanoss.com/v3/geoprovenance/countriesimport requests
url = "https://api.scanoss.com/v3/geoprovenance/countries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scanoss.com/v3/geoprovenance/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scanoss.com/v3/geoprovenance/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scanoss.com/v3/geoprovenance/countries"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scanoss.com/v3/geoprovenance/countries")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scanoss.com/v3/geoprovenance/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"components_locations": [
{
"purl": "<string>",
"declared_locations": [
{
"type": "<string>",
"location": "<string>"
}
],
"curated_locations": [
{
"country": "<string>",
"count": 123
}
],
"info_code": "<string>",
"info_message": "<string>"
}
],
"status": {
"status": "SUCCESS",
"message": "<string>"
}
}{
"status": "error",
"error": {
"code": "INVALID_QUERY",
"message": "purl query parameter is required"
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "INTERNAL_ERROR",
"message": "..."
},
"timestamp": "2026-05-19T11:39:56Z"
}